<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.47</b></p>
<ul class="maxwidth">';

// Gestion du mode d'authentification spécifique des élèves
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_resmodauth'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_resmodauth', 'code', 'Gestion du mode d\'authentification spécifique des élèves.')");
}
echo '<li>Gestion du mode d\'authentification spécifique des élèves.</li>';

// Ajout d'une colonne id_perso dans la table _eleves
mysqli_query($bdd,"ALTER TABLE ".$prefix."_eleves ADD id_perso VARCHAR (50) DEFAULT NULL");
echo '<li>Ajout d\'une colonne id_perso dans la table _eleves.</li>';

// Ajout d'une colonne id_perso dans la table _elevesmaj
mysqli_query($bdd,"ALTER TABLE ".$prefix."_elevesmaj ADD id_perso VARCHAR (50) DEFAULT NULL");
echo '<li>Ajout d\'une colonne id_perso dans la table _eleves.</li>';

// Ajout d'une colonne id_constr dans la table _eleves
mysqli_query($bdd,"ALTER TABLE ".$prefix."_eleves ADD id_constr VARCHAR (50) DEFAULT NULL");
echo '<li>Ajout d\'une colonne id_constr dans la table _eleves.</li>';

// Ajout d'une option d'importation de réservation de documents
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb_resa'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_sigb_resa', 'non', 'Option d\'importation de réservation de documents.')");
}
echo '<li>Ajout d\'une option d\'importation de réservation de documents.</li>';

// Gestion de l'ordre de présentation des réservations de documents
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb_resaord'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_sigb_resaord', 'div', 'Gestion de l\'ordre de présentation des réservations de documents.')");
}
echo '<li>Gestion de l\'ordre de présentation des réservations de documents.</li>';

// Choix d'un avertissement sonore lors des inscriptions au sujet des retards
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_sigb_resabip'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_sigb_resabip', '0', 'Choix d\'un avertissement sonore lors des inscriptions au sujet des réservations de documents.')");
}
echo '<li>Choix d\'un avertissement sonore lors des inscriptions au sujet des réservations de documents.</li>';

$ouverture = opendir("./js/");
$lecture = readdir($ouverture);
unlink ("./js/jquery-3.6.0.js");
closedir($ouverture);
echo '<li>Suppression de la version précédente de jQuery</li>';

// Création de la table des réservations de documents
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_sigbresas (resas_id INT ( 11 ) NOT NULL AUTO_INCREMENT , eleves_id int(11) NOT NULL , titre VARCHAR ( 100 ) COLLATE utf8_unicode_ci DEFAULT NULL, statut VARCHAR ( 100 ) COLLATE utf8_unicode_ci DEFAULT NULL, date_statut date DEFAULT NULL , PRIMARY KEY ( resas_id )  ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");
echo '<li>Création de la table des réservations de documents.</li>';

// Création de la table des events par espaces
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_espaces_event (espace_id INT ( 11 ) NOT NULL , uid int(11) NOT NULL  ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");
echo '<li>Création de la table des events par espaces.</li>';

$check_events = mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtevent");
$nb_check=0;
foreach($check_events as $check_event) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_espaces_event (espace_id, uid) VALUES ('0', '".$check_event['uid']."')");
}
echo '<li>Création de chaque event dans la table espaces_event avec espace initial (0).</li>';

// Ajout d'une colonne edtopt dans la table _espaces
mysqli_query($bdd,"ALTER TABLE ".$prefix."_espaces ADD edtopt INT (11) DEFAULT '0'");
echo '<li>Ajout d\'une colonne edtopt dans la table _espaces.</li>';

// Ajout d'une colonne edtoptresa dans la table _espaces
mysqli_query($bdd,"ALTER TABLE ".$prefix."_espaces ADD edtoptresa INT (11) DEFAULT '0'");
echo '<li>Ajout d\'une colonne edtoptresa dans la table _espaces.</li>';

// Gestion d'un EDT pour chaque autre espace
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_espmulti'"))==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'edt_espmulti', '0-0000-00-00', 'Gestion d\'un EDT pour chaque autre espace.')");
}
echo '<li>Gestion d\'un EDT pour chaque autre espace.</li>';

//Nettoyage de la table _userevent
$userevents = mysqli_query($bdd,"SELECT * FROM ".$prefix."_userevent");
$nbev=0;
foreach($userevents as $userevent) {
	if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_edtevent WHERE uid = '".$userevent['uid']."'"))==0) {
		mysqli_query($bdd,"DELETE FROM ".$prefix."_userevent WHERE uid = '".$userevent['uid']."'");
		$nbev++;
	}
}
echo '<li>Nettoyage de la table _userevent ('.$nbev.').</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.48' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.48.</li></ul>';
?>